Skip to content
Back to top
View this page

# PreparedKeyboardButton

class telegram.PreparedKeyboardButton(id, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  Describes a keyboard button to be used by a user of a Mini App.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `id` is equal.

  Returned In

  `telegram.Bot.save_prepared_keyboard_button()`

  Added in version 22.8.

  Parameters:

    id (`str`) – Unique identifier of the keyboard button.

  id

    Unique identifier of the keyboard button.

    Type:

      `str`